Bug 905321 - RFE: Improve X-Generator header when generating Gettext files
RFE: Improve X-Generator header when generating Gettext files
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Component-Maven, Component-zanata-client (Show other bugs)
development
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Michelle Kim
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-29 02:24 EST by Sean Flanigan
Modified: 2015-07-28 23:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-28 23:28:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2013-01-29 02:24:13 EST
Description of problem:
The server currently sets X-Generator to "Zanata $version" when generating PO files on the server side, but the clients apparently don't set it at all.  This makes it difficult to work out which code generated a given file.

We should use the following as appropriate:
"Zanata Server $version"
"Zanata Maven Plugin $version"
"Zanata CLI $version"
"Zanata Python Client $version"
Comment 2 Damian Jansen 2015-07-13 20:20:43 EDT
Reassigned to PM
Comment 3 Zanata Migrator 2015-07-28 23:28:24 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-282

Note You need to log in before you can comment on or make changes to this bug.